    import {TransactionInstruction} from '@solana/web3'

public class | source

# TransactionInstruction

Transaction Instruction class

## Constructor Summary

Public Constructor
public | constructor(opts: TransactionInstructionCtorFields) |

## Member Summary

Public Members
public | data: Buffer Program input |
public | keys: Array<object> Public keys to include in this transaction Boolean represents whether this pubkey needs to sign the transaction |
public | programId: PublicKey Program Id to execute |

## Public Constructors

### public constructor(opts: TransactionInstructionCtorFields) source

#### Params:

Name | Type | Attribute | Description
opts | TransactionInstructionCtorFields |  |

## Public Members

### public data: Buffer source

Program input

### public keys: Array<object> source

Public keys to include in this transaction Boolean represents whether this pubkey needs to sign the transaction

### public programId: PublicKey source

Program Id to execute